Subject: Re: [sacm] [Suit] [Teep] Unique Identifier of TA_ID in TA_LIST for TEEP_QueryResponse

From: Michael Richardson <[email-masked]>
Date: Tue, 12 May 2020 06:49:15 -0400

Hannes Tschofenig <[email-masked]> wrote:
    > For me, the question is what information should the device report when
    > it is asked what software it runs. Brendan suggested to use the
    > Component ID and we would make recommendations regarding the
    > construction and the uniqueness we would like to have. For example, we
    > could say that the component id for a TA should be a UUID and the same
    > TA binary would have the same UUID. Note that this component ID could
    > subsequently also be used as a filename but we could also keep it
    > separate.

    > What do you think?

That seems correct to me.
It seems to wander into some SUIT/TEEP/CoSWID considerations.

--
Michael Richardson <[email-masked]>, Sandelman Software Works
 -= IPv6 IoT consulting =-